ion-icon.lock {
  font-size: 30px;
}

ion-icon.star {
  font-size: 20px;
  margin: 2px;
}


* {
  box-sizing: border-box;
}


.loading-bar {
  width: 200px;
  background: #cecece;
  padding: 2px;
  border: 1px solid rgb(50, 248, 100);
  border-radius: 6px;
  box-shadow: 0 0 20px 0 rgb(10, 202, 58);
  margin: auto;

  &--progress {
     display: flex;
     justify-content: space-evenly;
     align-items: center;
     align-content: center;
     & span {
        margin: auto;
        background: rgb(10, 170, 50);
        border-radius: 4px;
        flex-basis: 11%;
        flex-grow: 1;
        flex-shrink: 1;
        height: 3px;
        animation: FadeIn 0.5s ease;
        transition: all 1s cubic-bezier(0.17, 0.67, 0.88, 0.17);
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;

     }
  }
}

@keyframes FadeIn {
  0% {
     opacity: 0;
     transform: scale(0.1);
     background: rgb(50, 248, 100);
     border-radius: 4px;
  }

  85% {
     opacity: 1;
     background: rgb(50, 248, 100);
     background: linear-gradient(
        180deg,
        rgb(4, 150, 41) 0%,
        rgb(4, 150, 41) 56%,
        rgb(4, 150, 41) 100%
     );
     border-radius: 0;
     border-top-right-radius: 8px;
     border-bottom-right-radius: 8px;
  }
  100% {
     transform: scale(1);
     background: rgb(50, 248, 100);
     background: linear-gradient(
        180deg,
        rgb(4, 150, 41) 0%,
        rgb(4, 150, 41) 56%,
        rgb(4, 150, 41) 100%
     );
     border-radius: 0;
  }
}
@for $i from 1 through 12 {
  .loading-bar--progress span:nth-child(#{$i}n) {
     animation-delay: #{$i * 0.15}s;
     animation-iteration-count: 1;
     animation-fill-mode: both;
  }
}

.loading-bar--progress .first {
  border-top-left-radius: 4px !important;
  border-bottom-left-radius: 4px !important;
}
.loading-bar--progress .last {
  border-top-right-radius: 4px !important;
  border-bottom-right-radius: 4px !important;
}

.image {
  width: 100px; /* you can use % */
  height: auto;
  margin: auto;

  .img {
    margin: 10px 0;
    padding: 0%;
    position: relative;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
}

.level {
  text-align: center;
  margin-bottom: 0%;
  color: #501327;

  font-family: 'Nunito-ExtraBold';
  font-size: 25px;

}


// card

$cursive: 'Great Vibes', cursive;
$handwriting: 'Sacramento';

$white: #fff;
$black: #000;

@mixin hc(){
  left: 50%;
  transform: translatex(-50%);
}

@mixin vc(){
  top: 50%;
  transform: translatey(-50%);
}

@mixin cc(){
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@mixin scrollbars($size, $foreground-color, $background-color) {
  ::-webkit-scrollbar-button{
    display: none;
  }
  ::-webkit-scrollbar {
    width:  $size;
    height: $size;
  }
  ::-webkit-scrollbar-thumb {
    background: $foreground-color;
    border: 1px solid lighten($foreground-color, 10%);
    cursor: pointer;
  }
  ::-webkit-scrollbar-track {
    background: $background-color;
    width: calc(#{$size} * 2);
    border: 2px solid lighten($background-color, 10%);
  }
  ::-webkit-scrollbar-track-piece {
    background: $background-color;
    width: calc(#{$size} / 2);
    border: 2px solid lighten($background-color, 10%);
  }
  body {
    scrollbar-face-color: $foreground-color;
    scrollbar-track-color: $background-color;
  }
}

@include scrollbars(2px, rgba(255,255,255,0.15), transparent);

div{
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  font-size: 5vmin;
}

body{
  display: grid;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  margin: 0;
  padding: 0;
  font-family: 'Sacramento';
  color: $white;
  background: #333;
  background-image:
    radial-gradient(ellipse at bottom left, rgba(0,163,203,1) 40%, rgba(0,163,203,0) 40%),
    radial-gradient(ellipse at top right, rgba(0,163,203,1) 30%, rgba(0,163,203,0) 30%),
    linear-gradient(to right, rgba(98,87,147,1) 0%, rgba(98,87,147,1) 33%, rgba(213,93,100,1) 33%, rgba(213,93,100,1) 66%, rgba(228,145,41,1) 66%);
  background-size: 50% 100%;

  .message{
    position: absolute;
    right:  0.5vw;
    top: 1vw;
    max-width: 60vw;
    font-size: 12px;
    font-family: "Open Sans", sans-serif;

    a{
      color: inherit;
      text-decoration: none;
      border-bottom: 1px solid #444;
      &:hover{
        border-width: 3px;
      }
    }

  }

  .card {
    margin: auto;
    padding: 2em;
    border-radius: 1em;
    border: 1px solid transparentize($white, 0.5);
    text-shadow: 0 0 1em transparentize($black, 0.5);
    background: transparentize($white, 0.8);
    backdrop-filter: blur(20px);
    transform: perspective(500px);
    transform-style: preserve-3d;

    .welcome {
      font-family: 'Sacramento';
      transform: translateZ(20px);
    }

    .year {
      font-family: 'Great Vibes', cursive;;
      font-size: 2.5em;

      span {
        display: block;
        transform: translateZ(40px);
        &:nth-child(2){
          padding-left: 1em;
          transform: translateZ(60px);
        }
        &:nth-child(3){
          padding-left: 2em;
          transform: translateZ(80px);
        }
      }

    }

  }

}
